Package org.kie.internal.services

## Class KieAssemblersImpl

- java.lang.Object
- - org.kie.internal.services.AbstractMultiService<org.kie.api.io.ResourceType,​org.kie.api.internal.assembler.KieAssemblerService>
  - - org.kie.internal.services.KieAssemblersImpl

- All Implemented Interfaces:
    `Comparable<org.kie.api.internal.utils.KieService>`, `org.kie.api.internal.assembler.KieAssemblers`, `org.kie.api.internal.utils.KieService`

      public class KieAssemblersImpl
      extends AbstractMultiService<org.kie.api.io.ResourceType,​org.kie.api.internal.assembler.KieAssemblerService>
      implements org.kie.api.internal.assembler.KieAssemblers

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KieAssemblersImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addResourceAfterRules​(Object knowledgeBuilder, org.kie.api.io.Resource resource, org.kie.api.io.ResourceType type, org.kie.api.io.ResourceConfiguration configuration)` |
    `void` | `addResourceBeforeRules​(Object knowledgeBuilder, org.kie.api.io.Resource resource, org.kie.api.io.ResourceType type, org.kie.api.io.ResourceConfiguration configuration)` |
    `void` | `addResourcesAfterRules​(Object knowledgeBuilder, List<org.kie.api.io.ResourceWithConfiguration> resources, org.kie.api.io.ResourceType type)` |
    `protected Class<org.kie.api.internal.assembler.KieAssemblerService>` | `serviceClass()` |
    `protected org.kie.api.io.ResourceType` | `serviceKey​(org.kie.api.internal.assembler.KieAssemblerService service)` |

    - ### Methods inherited from class org.kie.internal.services.AbstractMultiService

      `getService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.internal.utils.KieService

      `compareTo, servicePriority`

- - ### Constructor Detail

    - #### KieAssemblersImpl

          public KieAssemblersImpl()

  - ### Method Detail

    - #### addResourceBeforeRules

          public void addResourceBeforeRules​(Object knowledgeBuilder,
                                             org.kie.api.io.Resource resource,
                                             org.kie.api.io.ResourceType type,
                                             org.kie.api.io.ResourceConfiguration configuration)
                                      throws Exception

      Specified by:
        `addResourceBeforeRules` in interface `org.kie.api.internal.assembler.KieAssemblers`
      Throws:
        `Exception`

    - #### addResourceAfterRules

          public void addResourceAfterRules​(Object knowledgeBuilder,
                                            org.kie.api.io.Resource resource,
                                            org.kie.api.io.ResourceType type,
                                            org.kie.api.io.ResourceConfiguration configuration)
                                     throws Exception

      Specified by:
        `addResourceAfterRules` in interface `org.kie.api.internal.assembler.KieAssemblers`
      Throws:
        `Exception`

    - #### addResourcesAfterRules

          public void addResourcesAfterRules​(Object knowledgeBuilder,
                                             List<org.kie.api.io.ResourceWithConfiguration> resources,
                                             org.kie.api.io.ResourceType type)
                                      throws Exception

      Specified by:
        `addResourcesAfterRules` in interface `org.kie.api.internal.assembler.KieAssemblers`
      Throws:
        `Exception`

    - #### serviceClass

          protected Class<org.kie.api.internal.assembler.KieAssemblerService> serviceClass()

      Specified by:
        `serviceClass` in class `AbstractMultiService<org.kie.api.io.ResourceType,​org.kie.api.internal.assembler.KieAssemblerService>`

    - #### serviceKey

          protected org.kie.api.io.ResourceType serviceKey​(org.kie.api.internal.assembler.KieAssemblerService service)

      Specified by:
        `serviceKey` in class `AbstractMultiService<org.kie.api.io.ResourceType,​org.kie.api.internal.assembler.KieAssemblerService>`